<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.finance.mapper.PlatformAuthorizationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="platformAuthorizationResultMap" type="org.springblade.modules.finance.entity.PlatformAuthorization">
        <id column="id" property="id"/>
        <result column="order_no" property="orderNo"/>
        <result column="total_num" property="totalNum"/>
        <result column="consign_config_id" property="consignConfigId"/>
        <result column="auth_no" property="authNo"/>
        <result column="auth_num" property="authNum"/>
        <result column="auth_price" property="authPrice"/>
        <result column="state" property="state"/>
        <result column="end_time" property="endTime"/>
        <result column="create_time" property="createTime"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>


    <select id="selectPlatformAuthorizationPage" resultMap="platformAuthorizationResultMap">
        select * from t_platform_authorization where is_deleted = 0
    </select>

</mapper>
